#include "SimulationSARTool.h"
#include "LAMPMainWidget.h"
#include "RasterMainWidget.h"
#include "ToolBoxWidget.h"
#include "QSimulationSARPolynomialOrbitModel.h"
#include "QSimulationLookTableDialog.h"
#include "QCreateSARIntensityByLookTableDialog.h"

SARSimlulationRFPCToolButton::SARSimlulationRFPCToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"仿真工具库");
	this->toolname = QString(u8"RFPC");
}

SARSimlulationRFPCToolButton::~SARSimlulationRFPCToolButton()
{

}


void SARSimlulationRFPCToolButton::excute()
{

	QImageSARRFPC* dialog = new QImageSARRFPC();
	dialog->show();
}

SARSimulationTBPImageToolButton::SARSimulationTBPImageToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"成像工具库");
	this->toolname = QString(u8"TimeBP仿真成像");
}

SARSimulationTBPImageToolButton::~SARSimulationTBPImageToolButton()
{
}

void SARSimulationTBPImageToolButton::excute()
{
	QSimulationBPImage* dialog = new QSimulationBPImage;
	dialog->show();
}




QSimulationSAROrbitModelToolButton::QSimulationSAROrbitModelToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"仿真工具库");
	this->toolname = QString(u8"轨道仿真");
}

QSimulationSAROrbitModelToolButton::~QSimulationSAROrbitModelToolButton()
{
}
void QSimulationSAROrbitModelToolButton::excute()
{
	QSimulationPolynomialSAROrbitModel* dialog = new QSimulationPolynomialSAROrbitModel;
	dialog->show();
}



void RegisterPreToolBox(LAMPMainWidget::RasterMainWidget* mainwindows, ToolBoxWidget* toolbox)
{
 

	emit toolbox->addBoxToolItemSIGNAL(new SARSimlulationRFPCToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new SARSimulationTBPImageToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new QSimulationSAROrbitModelToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new LookTableComputerClassToolButton(toolbox));
	emit toolbox->addBoxToolItemSIGNAL(new QCreateSARIntensityByLookTableToolButton(toolbox));
 



}

LookTableComputerClassToolButton::LookTableComputerClassToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"仿真工具库");
	this->toolname = QString(u8"查找表生成");
}

LookTableComputerClassToolButton::~LookTableComputerClassToolButton()
{
}
void LookTableComputerClassToolButton::excute()
{
	QSimulationLookTableDialog* dialog = new QSimulationLookTableDialog;
	dialog->show();
}

QCreateSARIntensityByLookTableToolButton::QCreateSARIntensityByLookTableToolButton(QWidget* parent)
{
	this->toolPath = QVector<QString>(0);
	this->toolPath.push_back(u8"仿真工具库");
	this->toolname = QString(u8"生成模拟强度图");
}

QCreateSARIntensityByLookTableToolButton::~QCreateSARIntensityByLookTableToolButton()
{
}

void QCreateSARIntensityByLookTableToolButton::excute()
{
	QCreateSARIntensityByLookTableDialog* dialog = new QCreateSARIntensityByLookTableDialog;
	dialog->show();
}
